﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Drawing;
using MindFusion.Drawing;
using MindFusion.Diagramming;
using MindFusion.Diagramming.Mvc;
using Pen = MindFusion.Drawing.Pen;
using SolidBrush = MindFusion.Drawing.SolidBrush;

namespace ClientEvents.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public JsonResult ItemsChanged(string json)
        {
            DiagramView view = DiagramView.FromJson(json);
            Diagram diagram = view.Diagram;
            //change the brush of all nodes to gradient gray
            foreach (DiagramNode node in diagram.Nodes)
            {
                ((ShapeNode)node).Brush = new MindFusion.Drawing.LinearGradientBrush(ColorTranslator.FromHtml("#9caac6"), ColorTranslator.FromHtml("#e0e9e9"), 90);
                ((ShapeNode)node).Text = "";
            }
            if (diagram.Nodes.Count > 0)
            {
                //change the brush of the last drawn node to gradient green
                ShapeNode cnode = (ShapeNode)diagram.Nodes[diagram.Nodes.Count - 1];
                cnode.Brush = new MindFusion.Drawing.SolidBrush(ColorTranslator.FromHtml("#ce0000"));
                cnode.Text = "last drawn node";
            }
            return Json(new { success = DiagramView.ToJson(view) });
        }
    }
}